"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeneratorInvocationSchema = void 0;
const zod_1 = require("zod");
const GeneratorHelperReferenceSchema_1 = require("./GeneratorHelperReferenceSchema");
exports.GeneratorInvocationSchema = zod_1.z.strictObject({
    name: zod_1.z.string(),
    version: zod_1.z.string(),
    output: zod_1.z.optional(zod_1.z.string()),
    config: zod_1.z.unknown(),
    helpers: zod_1.z.optional(zod_1.z.array(GeneratorHelperReferenceSchema_1.GeneratorHelperReferenceSchema)),
});
