import { z } from "zod";
export declare const GeneratorHelperReferenceSchema: z.ZodObject<{
    name: z.ZodString;
    version: z.ZodString;
    locationOnDisk: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    locationOnDisk?: string | undefined;
    name: string;
    version: string;
}, {
    locationOnDisk?: string | undefined;
    name: string;
    version: string;
}>;
export declare type GeneratorHelperReferenceSchema = z.infer<typeof GeneratorHelperReferenceSchema>;
