"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkspaceDefinitionSchema = void 0;
const zod_1 = require("zod");
const GeneratorInvocationSchema_1 = require("./GeneratorInvocationSchema");
exports.WorkspaceDefinitionSchema = zod_1.z.strictObject({
    name: zod_1.z.optional(zod_1.z.string()),
    definition: zod_1.z.string(),
    generators: zod_1.z.array(GeneratorInvocationSchema_1.GeneratorInvocationSchema),
});
